<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>JS + CSS Clock</title>
  <link rel="icon" href="https://fav.farm/🔥" />
</head>
<body>

    <div class="clock">
      <div class="clock-face">
        <div class="hand hour-hand"></div>
        <div class="hand min-hand"></div>
        <div class="hand second-hand"></div>
      </div>
    </div>

  <style>
    html {
      background: #018DED url(https://unsplash.it/1500/1000?image=881&blur=5);
      background-size: cover;
      font-family: 'helvetica neue';
      text-align: center;
      font-size: 10px;
    }

    body {
      margin: 0;
      font-size: 2rem;
      display: flex;
      flex: 1;
      min-height: 100vh;
      align-items: center;
    }

    .clock {
      width: 30rem;
      height: 30rem;
      border: 20px solid white;
      border-radius: 50%;
      margin: 50px auto;
      position: relative;
      padding: 2rem;
      box-shadow:
        0 0 0 4px rgba(0,0,0,0.1),
        inset 0 0 0 3px #EFEFEF,
        inset 0 0 10px black,
        0 0 10px rgba(0,0,0,0.2);
    }

    .clock-face {
      position: relative;
      width: 100%;
      height: 100%;
      transform: translateY(-3px); /* account for the height of the clock hands */
    }

    .hand {
      width: 50%;
      height: .5rem;
      background: black;
      position: absolute;
      top: 50%;
      transform-origin: 100%;
      transform: rotate(90deg);
    }

    .min-hand {
      transition: 1s;
    }

    .hour-hand {
      right: 50%;
      width: 33%;
      transition: 2s;
    }

    .second-hand {
      background-color: red;
      height: .2rem;
    }
  </style>

  <script>
    function setClock() {
      const now = new Date();
      const secondsDegree = 90 + (now.getSeconds() * 6) + (now.getMilliseconds() * 0.006);
      const minutesDegree = 90 + now.getMinutes() * 6;
      const hoursDegree = 90 + (now.getHours() % 12) * 30;
      const secondHand = document.querySelector('.second-hand');
      const minHand = document.querySelector('.min-hand');
      const hourHand = document.querySelector('.hour-hand');
      secondHand.style.transform = `rotate(${secondsDegree}deg)`;
      minHand.style.transform = `rotate(${minutesDegree}deg)`;
      hourHand.style.transform = `rotate(${hoursDegree}deg)`;
    }

    setInterval(setClock, 100);
  </script>
</body>
</html>
